## amarok 2.3.1

=== CMakeLists.txt ===
project(Amarok)

cmake_minimum_required(VERSION 2.6.2)

set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

option(WITH_UTILITIES "Enable building of utilities" ON)
option(WITH_PLAYER "Enable building of main Amarok player" ON)
option(WITH_MP3Tunes "Enable mp3tunes in the Amarok player, requires multiple extra dependencies" ON)
option(WITH_IPOD "Enable iPod support in Amarok" ON)
option(WITH_MYSQL_EMBEDDED "Build the embedded database library -- highly recommended" ON)

include(CheckLibraryExists)
check_library_exists(dl dlopen "" LIBDL_FOUND)

set(TAGLIB_MIN_VERSION "1.6")
find_package(Taglib REQUIRED)

# Check if TagLib is built with ASF and MP4 support
include(CheckCXXSourceCompiles)
set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")

check_cxx_source_compiles("#include <asftag.h>
int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
if( NOT TAGLIB_ASF_FOUND )
    message(FATAL_ERROR "TagLib does not have ASF support compiled in.")
endif( NOT TAGLIB_ASF_FOUND )

check_cxx_source_compiles("#include <mp4tag.h>
int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
if( NOT TAGLIB_MP4_FOUND )
    message(FATAL_ERROR "TagLib does not have MP4 support compiled in.")
endif( NOT TAGLIB_MP4_FOUND )

set(CMAKE_REQUIRED_INCLUDES)
set(CMAKE_REQUIRED_LIBRARIES)

set(TAGLIB-EXTRAS_MIN_VERSION "1.0")
find_package(Taglib-Extras REQUIRED)

include(CheckTagLibFileName)

check_taglib_filename(COMPLEX_TAGLIB_FILENAME)

# Figure out problems inside KAboutData before re-enabling
#execute_process( COMMAND "git" "describe" WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} RESULT_VARIABLE GIT_OUTPUT_VALUE OUTPUT_VARIABLE CURRENT_GIT_VERSION )
#if(GIT_OUTPUT_VALUE EQUAL 0)
#    message(STATUS "Building git version ${CURRENT_GIT_VERSION}")
#endif(GIT_OUTPUT_VALUE EQUAL 0)


# Needed to conditionally build tests and gui
if(KDE4_BUILD_TESTS)
   add_definitions(-DDEBUG)
endif()

if(WITH_DESKTOP_UI)
    add_definitions(-DDESKTOP_UI)
endif()
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0")
if (CMAKE_COMPILER_IS_GNUCXX)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fmessage-length=0")
    if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed")
    endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
endif (CMAKE_COMPILER_IS_GNUCXX)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/shared )

if( WITH_PLAYER )
    set(KDE_MIN_VERSION "4.3.0")
    find_package( KDE4 REQUIRED )
    include (KDE4Defaults)
    include (MacroLibrary)

    include(MacroBoolTo01)
    include(MacroLogFeature)

    macro_log_feature( KDE4_FOUND "kdelibs" "The toolkit Amarok uses to build" "http://www.kde.org" TRUE "4.3.0" "" )

    find_package( QtScriptQtBindings REQUIRED )
    macro_log_feature( QTSCRIPTQTBINDINGS_FOUND "qtscript-qt" "QtScript Qt Bindings" "http://code.google.com/p/qtscriptgenerator/" TRUE "" "" )

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

    find_package(MySQLAmarok REQUIRED)
    if( WITH_MYSQL_EMBEDDED )
        set( BUILD_MYSQLE_COLLECTION TRUE )
        macro_log_feature( MYSQL_EMBEDDED_FOUND "mysqld" "Embedded MySQL Libraries" "http://www.mysql.com" TRUE "" "" )
    else( WITH_MYSQL_EMBEDDED )
        add_definitions( "-DNO_MYSQL_EMBEDDED" )
    endif( WITH_MYSQL_EMBEDDED )
    macro_log_feature( MYSQL_FOUND "mysql" "MySQL Server Libraries" "http://www.mysql.com" TRUE "" "" )

    # zlib is required for mysql embedded
    find_package(ZLIB REQUIRED)
    macro_log_feature( ZLIB_FOUND "zlib" "zlib" "" TRUE "" "" )

    # QCA2 is required for the Script Updater
    find_package(QCA2 REQUIRED)
    macro_log_feature( QCA2_FOUND "qca2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca/" TRUE "" "" )

    macro_optional_find_package(Strigi)
    macro_log_feature( STRIGI_FOUND "strigi" "Index metadata of files" "http://strigi.sourceforge.net" TRUE "" "" )

    macro_optional_find_package(LibLastFm)
    macro_log_feature( LIBLASTFM_FOUND "liblastfm" "Enable Last.Fm service, including scrobbling, song submissions, and suggested song dynamic playlists" "http://cdn.last.fm/src/liblastfm-0.3.0.tar.bz2" FALSE "0.3" "" )
    macro_bool_to_01( LIBLASTFM_FOUND HAVE_LIBLASTFM )


    if( WITH_IPOD )
        find_package(Ipod)
        if( IPOD_FOUND AND NOT WIN32 )
            macro_ensure_version("0.7.0" ${IPOD_VERSION} IPOD_FOUND)
        endif( IPOD_FOUND AND NOT WIN32 )
        macro_log_feature( IPOD_FOUND "libgpod" "Support Apple iPod audio devices" "http://sourceforge.net/projects/gtkpod/" FALSE "0.7.0" "" )
	macro_optional_find_package(Gdk)
	macro_log_feature( GDK_FOUND "Gdk" "Support for artwork on iPod audio devices via GdkPixbuf" "http://developer.gnome.org/arch/imaging/gdkpixbuf.html" FALSE "2.0.x" "" )
    endif( WITH_IPOD )

    macro_optional_find_package(Mtp)
    macro_log_feature( MTP_FOUND "libmtp" "Enable Support for portable media devices that use the media transfer protocol" "http://libmtp.sourceforge.net/" FALSE "0.3.0" "")

    if( WITH_MP3Tunes )
        find_package(CURL)
        macro_log_feature( CURL_FOUND "curl" "cURL provides the necessary network libraries required by mp3tunes." "http://curl.haxx.se" FALSE "" "" )

        find_package(LibXml2)
        macro_log_feature( LIBXML2_FOUND "libxml2" "LibXML2 is an XML parser required by mp3tunes." "http://www.xmlsoft.org" FALSE "" "" )

        macro_optional_find_package(OpenSSL)
        macro_optional_find_package(Libgcrypt)
        if ( OPENSSL_FOUND OR LIBGCRYPT_FOUND )
            set (_mp3tunes_crypto TRUE )
        else ( OPENSSL_FOUND OR LIBGCRYPT_FOUND )
            message( SEND_ERROR "Building with mp3tunes support REQUIRES either OpenSSL or GNU Libgcrypt" )
        endif ( OPENSSL_FOUND OR LIBGCRYPT_FOUND )
        macro_log_feature( _mp3tunes_crypto "openssl or libgcrypt" "OpenSSL or GNU Libgcrypt provides cryptographic functions required by mp3tunes." "http://www.openssl.org/ or http://www.gnupg.org/download/#libgcrypt" FALSE "" "" )

        find_package(Loudmouth)
        macro_log_feature( LOUDMOUTH_FOUND "loudmouth" "Loudmouth is the communication backend needed by mp3tunes for syncing." "http://www.loudmouth-project.org" FALSE "" "" )

        include(CheckQtGlib)
        macro_log_feature(QT4_GLIB_SUPPORT "Qt4 Glib support" "Qt4 must be compiled with glib support for mp3tunes" "http://www.trolltech.com" FALSE "" "")
    endif( WITH_MP3Tunes )

    if( WITH_IPOD OR WITH_MP3Tunes )
    find_package(GObject)
    macro_log_feature( GOBJECT_FOUND "gobject" "Required by libgpod and mp3tunes." "http://www.gtk.org" FALSE "2.x" "" )
	find_package(GLIB2)
	macro_log_feature( GLIB2_FOUND "glib2" "Required by libgpod and mp3tunes" "http://www.gtk.org" FALSE "2.x" "")
    endif( WITH_IPOD OR WITH_MP3Tunes )

    #These two are currently unused
    #macro_optional_find_package(Soprano)
    #macro_log_feature( Soprano_FOUND "soprano" "Soprano is a RDF framework required by Nepomuk Collection" "http://soprano.sourceforge.net" FALSE "2.1.0" "")
    #macro_optional_find_package(Nepomuk)
    #macro_log_feature( NEPOMUK_FOUND "nepomuk" "Nepomuk Libraries required by Nepomuk Collection (part of kdelibs)" "http://www.kde.org" FALSE "4.1" "")

    macro_bool_to_01(LIBVISUAL_FOUND HAVE_LIBVISUAL)

    macro_ensure_version("4.3.80" ${KDE_VERSION} KSTATUSNOTIFIERITEM_FOUND)
    macro_bool_to_01(KSTATUSNOTIFIERITEM_FOUND HAVE_KSTATUSNOTIFIERITEM)

    configure_file(config-amarok.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-amarok.h )

    include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${TAGLIB_INCLUDES})

    if( KDE4_BUILD_TESTS AND NOT WIN32 )
        ENABLE_TESTING()
        add_subdirectory( tests )
    endif( KDE4_BUILD_TESTS AND NOT WIN32 )

    add_subdirectory( src )

    macro_display_feature_log()

    #Do not remove or modify these.  The release script substitutes in for these
    #comments with appropriate doc and translation directories.
    
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

    #DOC_SUBDIR

else( WITH_PLAYER )

    find_package( Qt4 REQUIRED )
    set( CMAKE_INCLUDE_CURRENT_DIR ON )
    add_definitions(${QT_DEFINITIONS})
    include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${TAGLIB_INCLUDES})

endif( WITH_PLAYER )

if( WITH_UTILITIES )
    set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX}       CACHE PATH  "Base directory for executables and libraries" FORCE)
    set(BIN_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/bin"    CACHE PATH "The subdirectory to the binaries prefix (default prefix/bin)" FORCE)
    add_subdirectory( utilities )
endif( WITH_UTILITIES )

include(CTest)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(zh_CN)
add_subdirectory(lt)
add_subdirectory(fr)
add_subdirectory(sr)
add_subdirectory(zh_TW)
add_subdirectory(uk)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(tr)
add_subdirectory(ru)
add_subdirectory(ja)
add_subdirectory(sr@latin)
add_subdirectory(bg)
add_subdirectory(cs)
add_subdirectory(sl)
add_subdirectory(hu)
add_subdirectory(pa)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(th)
add_subdirectory(pt)
add_subdirectory(en_GB)
add_subdirectory(ca)
add_subdirectory(af)
add_subdirectory(sk)
add_subdirectory(ca@valencia)
add_subdirectory(es)
add_subdirectory(sv)
add_subdirectory(sr@ijekavian)
add_subdirectory(el)
add_subdirectory(da)
add_subdirectory(lv)
add_subdirectory(it)
add_subdirectory(nb)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(nds)

=== src/CMakeLists.txt ===
ADD_DEFINITIONS(${TAGLIB_CFLAGS} ${TAGLIB-EXTRAS_CFLAGS})

if(APPLE)
    set(mac_SRCS
        app_mac.cpp
        mac/GrowlInterface.cpp
    )

    include_directories ( services/lastfm/ )
    set( MAC_FILES_DIR  ${CMAKE_SOURCE_DIR}/src/mac )
endif(APPLE)

add_subdirectory( core )
# add_subdirectory( playlistmanager )
add_subdirectory( core-impl/collections )
#dont use our own libplasma anymore, but still pick up our applets/engines/containments
add_subdirectory( context )
add_subdirectory( images )
add_subdirectory( services )
add_subdirectory( scripts )
add_subdirectory( themes )
add_subdirectory( aboutdialog/libattica-ocsclient )

if( STRIGI_FOUND )
    add_subdirectory( strigi )
endif( STRIGI_FOUND )

include_directories(
    ${CMAKE_SOURCE_DIR}
    aboutdialog
    aboutdialog/libattica-ocsclient
    amarokurls
    browsers/
    browsers/playlistbrowser
    browsers/servicebrowser
    browsers/servicebrowser/scriptableservice
    core-impl/collections
    core-impl/collections/support
    core-impl/collections/mediadevicecollection
    core-impl/collections/mediadevicecollection/handler  # for Handler
    core-impl/collections/mediadevicecollection/support  # for MediaDeviceInfo
    core-impl/collections/mediadevicecollection/playlist # for MediaDevicePlaylist etc.
    core-impl/collections/mediadevicecollection/podcast
    configdialog
    configdialog/dialogs
    context
    context/widgets
    context/widgets/appletexplorer/
    dbus
    dialogs
    dynamic
    likeback
    playlistmanager
    statusbar
    synchronization
    timecode
    widgets
    ${KDE4_INCLUDE_DIR}
    ${TAGLIB-EXTRAS_INCLUDE_DIR}
    ${TAGLIB-EXTRAS_INCLUDES}
    ${MYSQL_INCLUDE_DIR}
    ${QT_INCLUDES}
    ${QT_QTSCRIPT_INCLUDE_DIR}
    ${QCA2_INCLUDE_DIR}
)


if ( KDEMULTIMEDIA_FOUND )
    include_directories( ${KDEMULTIMEDIA_INCLUDE_DIR} )
endif ( KDEMULTIMEDIA_FOUND )

#####################################################################
# LIKEBACK
#####################################################################
set(likeback_SRCS
    likeback/LikeBack.cpp
    likeback/LikeBackBar.cpp
    likeback/LikeBackDialog.cpp
)

#####################################################################
# PROXYCOLLECTION
#####################################################################
set(libproxycollection_SRCS
    core-impl/collections/proxycollection/ProxyCollection.cpp
    core-impl/collections/proxycollection/ProxyCollectionMeta.cpp
    core-impl/collections/proxycollection/ProxyCollectionQueryMaker.cpp
)

#####################################################################
# MEDIADEVICEFRAMEWORK
#####################################################################
set(libmediadeviceframework_SRCS
  core-impl/collections/mediadevicecollection/MediaDeviceCollection.cpp
  core-impl/collections/mediadevicecollection/MediaDeviceCollectionLocation.cpp
  core-impl/collections/mediadevicecollection/MediaDeviceMeta.cpp
  core-impl/collections/mediadevicecollection/MediaDeviceCollectionCapability.cpp
  core-impl/collections/mediadevicecollection/MediaDeviceDecoratorCapability.cpp
  core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp
  core-impl/collections/mediadevicecollection/handler/MediaDeviceHandlerCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/ArtworkCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/CustomReadCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/PlaylistCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/PodcastCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/ReadCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/ReadCapabilityBase.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/WriteCapability.cpp
  core-impl/collections/mediadevicecollection/handler/capabilities/WriteCapabilityBase.cpp
  core-impl/collections/mediadevicecollection/playlist/MediaDevicePlaylist.cpp
  core-impl/collections/mediadevicecollection/playlist/MediaDeviceUserPlaylistProvider.cpp
  core-impl/collections/mediadevicecollection/podcast/MediaDevicePodcastProvider.cpp
  core-impl/collections/mediadevicecollection/support/ConnectionAssistant.cpp
  core-impl/collections/mediadevicecollection/support/MediaDeviceInfo.cpp
)

#####################################################################
# SERVICEFRAMEWORK
#####################################################################
set(libserviceframework_SRCS
    services/DynamicServiceQueryMaker.cpp
    services/InfoParserBase.cpp
    services/ServiceAlbumCoverDownloader.cpp
    services/ServiceBase.cpp
    services/ServiceCapabilities.cpp
    services/ServiceCollection.cpp
    services/ServiceCollectionLocation.cpp
    services/ServiceCollectionTreeView.cpp
    services/ServiceMetaBase.cpp
    services/ServicePluginManager.cpp
    services/ServiceSqlCollection.cpp
    services/ServiceSqlQueryMaker.cpp
    services/ServiceSqlRegistry.cpp
)

#####################################################################
# SERVICEBROWSER
#####################################################################
set(libservicebrowser_SRCS
    browsers/servicebrowser/ServiceBrowser.cpp
)

#####################################################################
# AMAROKURL
#####################################################################
set(libamarokurl_SRCS
    amarokurls/AmarokUrl.cpp
    amarokurls/AmarokUrlAction.cpp
    amarokurls/AmarokUrlHandler.cpp
    amarokurls/BookmarkCurrentButton.cpp
    amarokurls/ContextUrlGenerator.cpp
    amarokurls/ContextUrlRunner.cpp
    amarokurls/NavigationUrlRunner.cpp
    amarokurls/NavigationUrlGenerator.cpp
    amarokurls/PlayUrlRunner.cpp
    amarokurls/PlayUrlGenerator.cpp
    amarokurls/BookmarkManager.cpp
    amarokurls/BookmarkManagerWidget.cpp
    amarokurls/BookmarkGroup.cpp
    amarokurls/BookmarkModel.cpp
    amarokurls/BookmarkTreeView.cpp
    amarokurls/BookmarkMetaActions.cpp
    )

#####################################################################
# SCRIPTABLESERVICE
#####################################################################
set(libscriptableservice_SRCS
    services/scriptable/ScriptableService.cpp
    services/scriptable/ScriptableServiceCollection.cpp
    services/scriptable/ScriptableServiceInfoParser.cpp
    services/scriptable/ScriptableServiceManager.cpp
    services/scriptable/ScriptableServiceMeta.cpp
    services/scriptable/ScriptableServiceQueryMaker.cpp
)

#####################################################################
# CONFIGDIALOG
#####################################################################
set(libconfigdialog_SRCS
    configdialog/ConfigDialog.cpp
    configdialog/ConfigDialogBase.cpp
    configdialog/dialogs/CollectionConfig.cpp
    configdialog/dialogs/GeneralConfig.cpp
    configdialog/dialogs/NotificationsConfig.cpp
    configdialog/dialogs/PlaybackConfig.cpp
    configdialog/dialogs/ServiceConfig.cpp
    configdialog/dialogs/DatabaseConfig.cpp
)

kde4_add_ui_files(libconfigdialog_SRCS
    configdialog/dialogs/CollectionConfig.ui
    configdialog/dialogs/GeneralConfig.ui
    configdialog/dialogs/NotificationsConfig.ui
    configdialog/dialogs/PlaybackConfig.ui
    configdialog/dialogs/DatabaseConfig.ui
)

set(libbrowserframework_SRCS
    browsers/BrowserBreadcrumbItem.cpp
    browsers/BrowserBreadcrumbWidget.cpp
    browsers/BrowserCategory.cpp
    browsers/BrowserCategoryList.cpp
    browsers/BrowserCategoryListDelegate.cpp
    browsers/BrowserCategoryListModel.cpp
    browsers/BrowserCategoryListSortFilterProxyModel.cpp
    browsers/BrowserWidget.cpp
    browsers/CollectionSortFilterProxyModel.cpp
    browsers/CollectionTreeItem.cpp
    browsers/CollectionTreeItemModel.cpp
    browsers/CollectionTreeItemModelBase.cpp
    browsers/CollectionTreeView.cpp
    browsers/CollectionTreeViewSimple.cpp
    browsers/InfoProxy.cpp
    browsers/SingleCollectionTreeItemModel.cpp
)

#####################################################################
# COLLECTIONBROWSER
#####################################################################
set(libcollectionbrowser_SRCS
    browsers/collectionbrowser/CollectionTreeItemDelegate.cpp
    browsers/collectionbrowser/CollectionBrowserTreeView.cpp
    browsers/collectionbrowser/CollectionWidget.cpp
)

#####################################################################
# SYNCHRONIZATION
#####################################################################
set(libsynchronization_SRCS
    synchronization/MasterSlaveSynchronizationJob.cpp
    synchronization/OneWaySynchronizationJob.cpp
    synchronization/SynchronizationBaseJob.cpp
    synchronization/UnionJob.cpp
)

#####################################################################
# ANALYZERS
#####################################################################
#set(libanalyzers_SRCS
#    analyzers/analyzerbase.cpp
#    analyzers/analyzerfactory.cpp
#    analyzers/baranalyzer.cpp
#    analyzers/blockanalyzer.cpp
#    analyzers/glanalyzer.cpp
#    analyzers/glanalyzer2.cpp
#    analyzers/glanalyzer3.cpp
#    analyzers/sonogram.cpp
#    analyzers/turbine.cpp
#    analyzers/boomanalyzer.cpp
#)

#####################################################################
# STATUSBAR
#####################################################################
set(libstatusbar_SRCS
    statusbar/StatusBar.cpp
    statusbar/ProgressBar.cpp
    statusbar/KJobProgressBar.cpp
    statusbar/CompoundProgressBar.cpp
    statusbar/PopupWidget.cpp
    statusbar/LongMessageWidget.cpp
)


#####################################################################
# META
#####################################################################
set(libmetaimpl_SRCS
    core-impl/playlists/types/file/m3u/M3UPlaylist.cpp
    core-impl/meta/file/TagLibUtils.cpp
    ../shared/MetaReplayGain.cpp
    core-impl/playlists/types/file/pls/PLSPlaylist.cpp
    core-impl/playlists/providers/user/UserPlaylistProvider.cpp
    core-impl/playlists/types/file/PlaylistFileSupport.cpp
    core-impl/playlists/types/file/xspf/XSPFPlaylist.cpp
    core-impl/capabilities/timecode/TimecodeBoundedPlaybackCapability.cpp
    core-impl/capabilities/timecode/TimecodeEditCapability.cpp
    core-impl/capabilities/timecode/TimecodeLoadCapability.cpp
    core-impl/capabilities/timecode/TimecodeWriteCapability.cpp
    core-impl/capabilities/multisource/MultiSourceCapabilityImpl.cpp
    core-impl/meta/file/File.cpp
    core-impl/meta/multi/MultiTrack.cpp
    core-impl/meta/cue/CueFileSupport.cpp
    core-impl/meta/proxy/MetaProxy.cpp
    core-impl/meta/stream/Stream.cpp
    core-impl/statistics/providers/url/PermanentUrlStatisticsProvider.cpp
    core-impl/statistics/providers/tag/TagStatisticsProvider.cpp
)

#####################################################################
# COLLECTION
#####################################################################
set(collection_SRCS
    core-impl/collections/support/CollectionManager.cpp
    core-impl/collections/support/CollectionLocationDelegateImpl.cpp
    core-impl/collections/support/MemoryCustomValue.cpp
    core-impl/collections/support/MemoryFilter.cpp
    core-impl/collections/support/MemoryMatcher.cpp
    core-impl/collections/support/MemoryQueryMaker.cpp
    core-impl/collections/support/MemoryQueryMakerInternal.cpp
    core-impl/collections/support/MemoryQueryMakerHelper.cpp
    core-impl/collections/support/PlaylistCollection.cpp
    core-impl/collections/support/PlaylistCollectionLocation.cpp
    core-impl/collections/support/XmlQueryReader.cpp
    core-impl/collections/support/XmlQueryWriter.cpp
    core-impl/collections/support/FileCollectionLocation.cpp
)

#####################################################################
# CONTEXT
#####################################################################
#

set( libcontextview_SRCS
    context/Applet.cpp

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Googlemock REQUIRED)
macro_log_feature( GOOGLEMOCK_FOUND "gmock" "Used in Amarok's tests." "http://code.google.com/p/googlemock/" TRUE "1.4" "" )

set( AMAROK_SOURCE_TREE ${CMAKE_SOURCE_DIR}/src )
set( AMAROK_TEST_TREE ${CMAKE_SOURCE_DIR}/tests )
set( AMAROK_UTILITY_TREE ${CMAKE_SOURCE_DIR}/utilities )

set( STRESS_TEST_TRACK_COUNT 20000 )

configure_file(config-amarok-test.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-amarok-test.h )

include_directories( .
                     ${AMAROK_SOURCE_TREE}
)

add_subdirectory( amarokurls )
add_subdirectory( data )
add_subdirectory( context )
add_subdirectory( core )
add_subdirectory( core-impl )
add_subdirectory( playlist )
add_subdirectory( playlistmanager )
add_subdirectory( timecode )
add_subdirectory( synchronization )

#------------------------ Test Amarok namespace -----------------------------

set( testamarok_SRCS
        TestAmarok.cpp
        ${AMAROK_SOURCE_TREE}/core/support/Amarok.cpp
    )

kde4_add_unit_test( testamarok ${testamarok_SRCS} )

target_link_libraries( testamarok
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTTEST_LIBRARY}
    amarokcore
    amaroklib
    )

#------------------------ Test CaseConverter -----------------------------

set( testcaseconverter_SRCS
        TestCaseConverter.cpp
        ${AMAROK_SOURCE_TREE}/CaseConverter.cpp
    )

kde4_add_unit_test( testcaseconverter  ${testcaseconverter_SRCS} )

target_link_libraries(testcaseconverter ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

#------------------------ Test Expression -----------------------------

set( testexpression_SRCS
        TestExpression.cpp
        ${AMAROK_SOURCE_TREE}/Expression.cpp
    )

kde4_add_unit_test( testexpression  ${testexpression_SRCS} )

target_link_libraries(testexpression ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

#------------------------ Test QStringx -----------------------------

set( testqstringx_SRCS
        TestQStringx.cpp
    )

kde4_add_unit_test( testqstringx  ${testqstringx_SRCS} )

target_link_libraries(testqstringx ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

#------------------------ Test SmartPointerList -----------------------------

set( testsmartpointerlist_SRCS
        TestSmartPointerList.cpp
        ${AMAROK_SOURCE_TREE}/core/support/SmartPointerList.cpp
    )

kde4_add_unit_test( testsmartpointerlist  ${testsmartpointerlist_SRCS} )

target_link_libraries(testsmartpointerlist ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

=== po/af/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(af ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/core/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/shared
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDES}
)

set(libcore_plugin_SRCS
    plugins/Plugin.cpp
    plugins/PluginManager.cpp
    plugins/PluginConfig.cpp
)

set(libcore_interfaces_SRCS
    interfaces/Logger.cpp
)

set(libcore_meta_SRCS
    meta/Meta.cpp
    meta/support/MetaUtility.cpp
    meta/support/PrivateMetaRegistry.cpp
)

set(libcore_playlists_SRCS
    playlists/Playlist.cpp
    playlists/PlaylistFormat.cpp
    playlists/PlaylistProvider.cpp
)

set(libcore_statistics_SRCS
    statistics/StatisticsProvider.cpp
)

set(libcore_capabilities_SRCS
    capabilities/Capability.cpp
    capabilities/BookmarkThisCapability.cpp
    capabilities/BoundedPlaybackCapability.cpp
    capabilities/CollectionCapability.cpp
    capabilities/CurrentTrackActionsCapability.cpp
    capabilities/CustomActionsCapability.cpp
    capabilities/DecoratorCapability.cpp
    capabilities/EditCapability.cpp
    capabilities/EditablePlaylistCapability.cpp
    capabilities/FindInSourceCapability.cpp
    capabilities/LastFmCapability.cpp
    capabilities/MultiPlayableCapability.cpp
    capabilities/MultiSourceCapability.cpp
    capabilities/OrganiseCapability.cpp
    capabilities/ReadLabelCapability.cpp
    capabilities/SourceInfoCapability.cpp
    capabilities/StatisticsCapability.cpp
    capabilities/StreamInfoCapability.cpp
    capabilities/UpdateCapability.cpp
    capabilities/WriteLabelCapability.cpp
)

set(libcore_collection_SRCS
    collections/Collection.cpp
    collections/CollectionLocation.cpp
    collections/MetaQueryMaker.cpp
    collections/QueryMaker.cpp
    collections/support/TrackForUrlWorker.cpp
)

set(libcore_podcasts_SRCS
    podcasts/PodcastReader.cpp
    podcasts/PodcastMeta.cpp
    podcasts/PodcastImageFetcher.cpp
    podcasts/PodcastProvider.cpp
)

set(libcore_support_SRCS
    support/Amarok.cpp
    support/Components.cpp
    support/SmartPointerList.cpp
    support/Debug.cpp
)

set(libcore_engine_SRCS
    engine/EngineObserver.cpp
)

#####################################################################
# LIBCORE
#####################################################################
set(libcore_LIB_SRCS
    ${libcore_plugin_SRCS}
    ${libcore_podcasts_SRCS}
    ${libcore_interfaces_SRCS}
    ${libcore_collection_SRCS}
    ${libcore_statistics_SRCS}
    ${libcore_playlists_SRCS}
    ${libcore_meta_SRCS}
    ${libcore_capabilities_SRCS}
    ${libcore_engine_SRCS}
    ${libcore_support_SRCS}
)

kde4_add_library(amarokcore SHARED ${libcore_LIB_SRCS})

target_link_libraries(amarokcore
    ${CMAKE_THREAD_LIBS_INIT}
    ${KDE4_KIO_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${KDE4_SOLID_LIBRARY}
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${QT_CORE_LIBRARY}
)

if(APPLE)
    SET_TARGET_PROPERTIES(amarokcore PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

if(LIBDL_FOUND)
    target_link_libraries(amarokcore dl)
endif(LIBDL_FOUND)

if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_SYSTEM_NAME MATCHES Linux)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=iso9899:1999" )
endif(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_SYSTEM_NAME MATCHES Linux)

set_target_properties(amarokcore PROPERTIES VERSION 1.0.0 SOVERSION 1 )
install(TARGETS amarokcore ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== tests/amarokurls/CMakeLists.txt ===
include_directories(
        ${AMAROK_TEST_TREE}
        ${CMAKE_BINARY_DIR}/tests
        )

set( testamarokurls_SRCS TestAmarokUrls.cpp )
kde4_add_unit_test( testamarokurls ${testamarokurls_SRCS} )
target_link_libraries( testamarokurls amaroklib ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

=== tests/core-impl/CMakeLists.txt ===
add_subdirectory( meta )
add_subdirectory( collections )
add_subdirectory( playlists )
add_subdirectory( logger )

=== utilities/afttagger/CMakeLists.txt ===
include_directories( ../
                     ${QT_INCLUDES}             
                     ${TAGLIB_INCLUDES}         
                     ${TAGLIB-EXTRAS_INCLUDES}
                   )                            

add_definitions(${TAGLIB_CFLAGS} ${TAGLIB-EXTRAS_CFLAGS})

set(amarok_afttagger_SRCS
    SafeFileSaver.cpp
    AFTTagger.cpp
)

add_executable(amarok_afttagger ${amarok_afttagger_SRCS} )

target_link_libraries(amarok_afttagger
                        ${QT_QTCORE_LIBRARY}
                        ${TAGLIB_LIBRARIES}
                     )


if(APPLE)
    SET_TARGET_PROPERTIES(amarok_afttagger PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
    # install to app bundle on os x, otherwise amarok fails to load it
    install(TARGETS amarok_afttagger DESTINATION ${BUNDLE_INSTALL_DIR}/Amarok.app/Contents/MacOS )
else(APPLE)
    install(TARGETS amarok_afttagger RUNTIME DESTINATION ${BIN_INSTALL_DIR} )
endif(APPLE)

=== src/context/applets/CMakeLists.txt ===
add_subdirectory( albums )
add_subdirectory( currenttrack )
add_subdirectory( lyrics )
add_subdirectory( info )
add_subdirectory( wikipedia )
add_subdirectory( videoclip )
add_subdirectory( photos )

if( LIBLASTFM_FOUND )
    add_subdirectory( upcomingevents )
    add_subdirectory( similarartists )
endif( LIBLASTFM_FOUND )

#add_subdirectory( songkick )

=== src/context/engines/CMakeLists.txt ===
add_subdirectory( wikipedia )
add_subdirectory( lyrics )
add_subdirectory( current )
add_subdirectory( info )
add_subdirectory( videoclip )
add_subdirectory( photos )
#add_subdirectory( songkick )

if(LIBLASTFM_FOUND)
    add_subdirectory( similarartists )
    add_subdirectory( upcomingevents )
endif(LIBLASTFM_FOUND)

=== src/core-impl/collections/CMakeLists.txt ===
include_directories(
                    ${KDE4_INCLUDE_DIR}
                    ${QT_INCLUDES}
                    ${Amarok_SOURCE_DIR}/src
                   )

set(AMAROK_COLLECTION_SUPPORT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/support)

add_subdirectory( daap )
# NOTE: disabled until ported to new framework
add_subdirectory( audiocd )

add_subdirectory( ipodcollection )
add_subdirectory( mtpcollection )
add_subdirectory( umscollection )
add_subdirectory( sqlcollection )

# needs things from playground/base/nepomuk-kde
#if (SOPRANO_FOUND AND NEPOMUK_FOUND)
#    MESSAGE(STATUS "soprano and nepomuk found, building optional nepomuk collection")
#    add_subdirectory(nepomukcollection)
#endif (SOPRANO_FOUND AND NEPOMUK_FOUND)

#add_subdirectory( upnp )

## amarok 2.2.2

=== debian/changelog ===
amarok (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Suggest moodbar, add a note about it to README.Debian.
  * Replace "KDE 4 technology platform" with official "KDE Platform" in amarok
    package description.
  * Refresh patches.
  * Add patch scanning_crash_backport.diff from upstream. Fixes a crash when
    scanning a local collection.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jan 2010 16:35:01 +0200

amarok (2.2.2~beta1-1) experimental; urgency=low

  * New upstream release.
  * Remove DMUA field from debian/control. No longer needed.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Use @debian.org address in the Maintainer field.
  * Enable parallel building - pass --parallel option to dh.
  * Resync patches:
    - rename debian/mysql_linkage_fix.diff to debian/mysql_no_openssl_fix.diff,
      remove more references to OpenSSL linkage;
    - debian/*.diff - refresh offsets;
    - general/playlist_default_layout_fix.diff - remove, upstream;
    - general/random_mode_fix.diff - remove, upstream;

 -- Modestas Vainius <modax@debian.org>  Thu, 10 Dec 2009 19:28:47 +0200

amarok (2.2.1-2) unstable; urgency=medium

  * Fix "No default playlist layout on start bug" (patch
    general/playlist_default_layout_fix).
  * Fix random order playback (patch general/random_mode_fix.diff)
    (Closes: #556239).
  * Urgency medium due to RC bug fix.
  * Add notes to NEWS.Debian, README.Debian and presubj that full collection
    rescan might be needed when upgrading from 2.2.0 or earlier
    (Closes: #556621).
  * Reformat README.Debian a bit.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 21 Nov 2009 11:04:41 +0200

amarok (2.2.1-1) unstable; urgency=low

  * New upstream release.
    - This particular crash with dynamic playlists has been fixed upstream
      (Closes: #547946).
  * Reformat debian/README.Debian and add a note about
    /usr/share/bug/amarok/presubj to it.
  * Add a note about libxine1-ffmpeg to /usr/share/bug/amarok/presubj. That's a
    solution for "MP3 files not playing" problem.
  * Make amarok suggest libxine1-ffmpeg.
  * Remove Shoutcast service from the package description. It is no longer
    available.
  * Update DESCRIPTION section of amarok manual page. It was really obsolete.
  * Switch to dpkg-source format 3.0 (quilt):
    - do not use quilt dh addon in debian/rules;
    - drop quilt from build-depends;
    - drop quilt specific instructions from README.source;
    - use original upstream .tar.bz2 tarball.
  * Update patches:
    - debian/disable_qtscriptbindings_check_fix - refresh;
    - merge debian/mysqle_linkage_fix into debian/mysql_linkage_fix,
      refresh;
    - debian/mysqle_amarok_local_errmsg_feature - adapt to upstream changes;
  * Update install files.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 13 Nov 2009 22:01:41 +0200

amarok (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 30 Sep 2009 22:26:09 +0300

amarok (2.2~rc1-1) unstable; urgency=medium

  * New upstream development release (2.1.90):
    - plays usertags from Last.fm "My tags" (Closes: #541338). Thanks to
      Євгеній Мещеряков for the patch, merged upstream;
    - fetches covers from Last.fm (Closes: #545384);
    - lyrics fetching works again (Closes: #545466).
  * Bump build depends to libtag1-dev 1.6-2 (supports ASF and MP4) and
    libtag-extras-dev 1.0.1.
  * Update install files: shoutcast service gone.
  * Urgency medium, because previous release (2.1.1) has a splash screen of
    questionable license.
  * Update debian/copyright.
  * Fix hyphen-used-as-minus-sign in amarok manual pages.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 22 Sep 2009 13:35:53 +0300

amarok (2.1.85-1) experimental; urgency=low

  * New upstream development release (2.2 Beta 2).
  * Refresh patches.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 18 Sep 2009 00:36:57 +0300

amarok (2.1.80-1) experimental; urgency=low

  * New upstream development release (2.2 Beta 1).
  * Build depend on liblastfm-dev (>= 0.3).
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Use kde dh sequence addon rather than debhelper/kde.mk:
    - build depend on pkg-kde-tools 0.5;
    - build depend on debhelper 7.3.16;
    - adjust debian/rules;
  * Resync patches:
    - debian/disable_qtscriptbindings_check_fix - refresh;
    - debian/mysqle_amarok_local_errmsg_feature - adapt to upstream changes;
    - debian/mysqle_linkage_fix - adapt to upstream changes;
    - debian/mysqle_look_for_libmysqld_pic - drop, merged upstream;
    - general/armel_ftbfs_fix - drop, merged upstream;
    - general/mp3tunes_portability_fix.diff - drop, merged upstream;
  * Pass -DCMAKE_USE_RELATIVE_PATHS=ON to cmake again.
  * Add debian/mysql_linkage_fix patch to linkage against mysql library on
    Debian. OpenSSL is not needed.
  * Update install files.
  * Drop libamarok_service_liblastfm.so from lintian-overrides. It is no longer
    shipped inside amarok source.
  * Move amarok_afttagger to amarok-utils package. Add appropriate Replaces and
    adjust Description accordingly.
  * Add NEWS entry about database schema change in 2.2 (which complicates
    downgrades to 2.1 a bit).

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 03 Sep 2009 11:02:45 +0300

amarok (2.1.1-4) unstable; urgency=medium

  * Add general/mp3tunes_portability_fix patch to fix FTBFS on alpha.
  * Urgency medium: RC bug fix.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 04 Aug 2009 10:16:59 +0300

amarok (2.1.1-3) unstable; urgency=low

  * Exclude usr/lib/kde4/* from dh_makeshlibs. This is a better fix for
    unused-shlib-entry-in-control-file lintian warnings.
  * Add ${misc:Depends} to Depends of all packages.
  * Drop shlib-missing-in-control-file from amarok.lintian-overrides. No longer
    needed.
  * Actually ship debugging symbols in amarok-dbg.


=== debian/control ===
Source: amarok
Section: sound
Priority: optional
Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libtag1-dev (>= 1.6-2~), libtag-extras-dev (>= 1.0.1),
 kdelibs5-dev (>= 4:4.2.0), libsoprano-dev (>= 2.1.67),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libnjb-dev, libifp-dev, libmtp-dev (>= 0.3.0),
 libglib2.0-dev, libgpod-nogtk-dev (>= 0.7.0),
 libmysqld-pic (>= 5.1.36-2), libwrap0-dev,
 libqt4-opengl-dev, libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev,
 libgtk2.0-dev, kdemultimedia-dev (>= 4:4.2.0), libqca2-dev, liblastfm-dev (>= 0.3)
Build-Depends-Indep: mysql-server-5.1 (>= 5.1.26rc)
Standards-Version: 3.8.3
Homepage: http://amarok.kde.org
Vcs-Git: git://git.debian.org/git/users/modax/amarok.git
Vcs-Browser: http://git.debian.org/?p=users/modax/amarok.git

Package: amarok
Architecture: any
Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}), phonon-backend-xine | phonon-backend,
 ${shlibs:Depends}, ${misc:Depends},
 libqtscript4-core, libqtscript4-gui, libqtscript4-network, libqtscript4-xml, libqtscript4-sql, libqtscript4-uitools
Recommends: kdemultimedia-kio-plugins (>= 4:4.2.0)
Suggests: libxine1-ffmpeg, libqt4-sql-sqlite, libqt4-sql-mysql, libqt4-sql-psql, moodbar
Conflicts: amarok-engine-xine (<< 2), amarok-engine-yauap (<< 2)
Description: easy to use media player based on the KDE Platform
 Amarok is a powerful music player with an intuitive interface. It makes
 playing the music you love and discovering new music easier than ever before
 and it looks good doing it! Amarok is based on the powerful Qt4 / KDE4
 Platform and nicely integrates with KDE desktop.
 .
 Much work has been invested into integrating Amarok 2 with various Web
 services:
   - Ampache
   - Jamendo Service
   - Last.fm
   - Librivox
   - MP3tunes
   - Magnatune
   - OPML Podcast Directory
 .
 Amarok comes with a lot of features including but not limited to:
   - Scripts - enhance your Amarok experience with community developed scripts.
   - Dynamic Playlists - create playlists that automatically update.
   - Context View - customize interface with the Plasma powered Context View.
   - PopUp Dropper - simplify drag&drop actions with revolutionary menu system.
   - Multiple Language Translations
   - Collection Management - organizing your music collection has never been
     easier with Amarok's powerful tagging, renaming, and sorting abilities.
   - Database Importing - import collections from Amarok 1.4 or iTunes.
   - Scriptable Services - integrate other web services into Amarok.

Package: amarok-common
Architecture: all
Depends: ${misc:Depends}
Recommends: amarok (>= ${source:Version})
Description: architecture independent files for Amarok
 This package contains architecture independent files needed for Amarok to run
 properly. Therefore, unless you have 'amarok' package of the same version
 installed, you will hardly find this package useful.

Package: amarok-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amarok (<< 2.1.80-1~)
Description: utilities for Amarok media player
 This package contains command line utilities that are typically used by Amarok
 media player but might also be useful on systems without Amarok installed.
 They are designed to be lightweight as they do not depend on KDE libraries.
 .
 Currently the package contains the following utilities:
   - amarokcollectionscanner - scans audio files, collects information from
     file tags and prints it in the structured XML format.
   - amarok_afttagger - a helper program which writes/removes custom tags
     to/from media files required for embedded "Amarok File Tracking".

Package: amarok-dbg
Priority: extra
Section: debug
Architecture: any
Depends: amarok (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Description: debugging symbols for Amarok
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.

=== debian/rules ===
#!/usr/bin/make -f

# TopGit support
ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
include /usr/share/topgit/tg2quilt.mk
endif

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_install:
	dh_install
	# Copy English errmsg.sys from mysql-server package
	if [ -d debian/amarok-common ]; then \
	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
	fi

override_dh_makeshlibs:
	dh_makeshlibs "-Xusr/lib/kde4/*"

%:
	dh --with kde --parallel --dbg-package=amarok-dbg $@

.PHONY: override_dh_auto_test
